Bug 966661 - [REST-API] : "host_id" and "host_name" are not on the autocompletion list for 'update storagedomain'
[REST-API] : "host_id" and "host_name" are not on the autocompletion list for...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Meital Bourvine
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 11:51 EDT by Katarzyna Jachim
Modified: 2016-02-10 15:21 EST (History)
11 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15166 None None None Never

  None (edit)
Description Katarzyna Jachim 2013-05-23 11:51:50 EDT
Description of problem:

Autocompletion list for 'update storagedomain':
correlation_id name storage-logical_unit storage-override_luns

However, one of the parameters host_id and host_name is required, at least when I try to update iSCSI storage domain:

2013-05-17 03:36:21,993 - MainThread? - storagedomains - WARNING - Actual command after validation:
update storagedomain iscsiStorageTest_data_domain_0 --storage-logical_unit "logical_unit.target=iqn.2008-05.com.xtremio:001e675b8ee0,logical_unit.port=3260,logical_unit.address=10.35.160.7,logical_unit.id=3514f0c542a0014ff"
2013-05-17 03:36:22,530 - MainThread? - storagedomains - ERROR - Failed to update a new element, details: ('Command Failed:', u'status: 400', u'reason: Bad Request', u'detail: StorageDomain? [host.id|name] required for extendStorageDomain ')

Version-Release number of selected component (if applicable): sf17
Comment 1 Meital Bourvine 2013-07-17 11:04:00 EDT
[RHEVM shell (connected)]# update storagedomain
correlation_id         host-id                host-name              name                   storage-logical_unit   storage-override_luns
Comment 2 Itamar Heim 2014-01-21 17:23:28 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:24:33 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:28:12 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.